[RFE] Full python 3.5 support

Bug #1673768 reported by Jim Rollenhagen on 2017-03-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ironic
Fix Released
Wishlist
Unassigned
Ironic Inspector
Fix Released
Wishlist
Unassigned
Python client for Ironic Inspector
Wishlist
Unassigned
ironic-python-agent
Confirmed
Wishlist
Unassigned
python-ironicclient
Fix Released
Wishlist
Unassigned

Bug Description

There's a fair amount of work to do to fully support python 3.5, which is detailed in the pike release goal: https://governance.openstack.org/tc/goals/pike/python35.html

This RFE exists to track that work.

tags: added: rfe
Changed in ironic:
importance: Undecided → Wishlist
status: New → Confirmed
Dmitry Tantsur (divius) on 2017-03-17
tags: added: rfe-approved
removed: rfe
Changed in ironic-inspector:
status: New → Confirmed
importance: Undecided → Wishlist

Reviewed: https://review.openstack.org/466155
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=1dc033f6b3b376162c78c6a1152acd0b2e057c10
Submitter: Jenkins
Branch: master

commit 1dc033f6b3b376162c78c6a1152acd0b2e057c10
Author: Ruby Loo <email address hidden>
Date: Thu May 18 22:30:01 2017 -0400

    Replace deprecated .assertRaisesRegexp()

    This replaces the deprecated (in python 3.2) unittest.TestCase
    method assertRaisesRegexp() with assertRaisesRegex().

    Change-Id: Iec0f38102a76f4830ba1a96ed06743072048285f
    Related-Bug: 1673768

Reviewed: https://review.openstack.org/466198
Committed: https://git.openstack.org/cgit/openstack/ironic-python-agent/commit/?id=efe739f039f4bcdbf79e29d0c5cbf4302f5fa8af
Submitter: Jenkins
Branch: master

commit efe739f039f4bcdbf79e29d0c5cbf4302f5fa8af
Author: Luong Anh Tuan <email address hidden>
Date: Fri May 19 20:15:20 2017 +0700

    Replace assertRaisesRegexp with assertRaisesRegex

    This replaces the deprecated (in python 3.2) unittest.TestCase
    method assertRaisesRegexp() with assertRaisesRegex()[1].
    [1]https://review.openstack.org/#/c/466155/

    Change-Id: Ife8504dbb58019a30bcc1495a78ab14c757efc98
    Related-Bug: 1673768

Reviewed: https://review.openstack.org/466175
Committed: https://git.openstack.org/cgit/openstack/python-ironicclient/commit/?id=dcbe8d550bde0ae9ebb400780a4636327084d491
Submitter: Jenkins
Branch: master

commit dcbe8d550bde0ae9ebb400780a4636327084d491
Author: Luong Anh Tuan <email address hidden>
Date: Fri May 19 18:16:02 2017 +0700

    Replace assertRaisesRegexp with assertRaisesRegex

    This replaces the deprecated (in python 3.2) unittest.TestCase
    method assertRaisesRegexp() with assertRaisesRegex()[1].
    [1]https://review.openstack.org/#/c/466155/

    Change-Id: I46edbbd5ee73f100eaf96605fd2dcd76306da11b
    Related-Bug: 1673768

Change abandoned by Tuan Luong-Anh (<email address hidden>) on branch: master
Review: https://review.openstack.org/466200

Dmitry Tantsur (divius) on 2017-06-05
Changed in python-ironic-inspector-client:
status: New → Confirmed
Changed in ironic-python-agent:
status: New → Confirmed
Changed in python-ironicclient:
status: New → Confirmed
Changed in python-ironic-inspector-client:
importance: Undecided → Wishlist
Changed in ironic-python-agent:
importance: Undecided → Wishlist
Changed in python-ironicclient:
importance: Undecided → Wishlist
Dmitry Tantsur (divius) on 2018-01-22
Changed in ironic:
status: Confirmed → Fix Released
Changed in ironic-inspector:
status: Confirmed → Fix Released
Changed in python-ironic-inspector-client:
status: Confirmed → Fix Released
Changed in python-ironicclient:
status: Confirmed → Fix Released

Reviewed: https://review.openstack.org/539502
Committed: https://git.openstack.org/cgit/openstack/ironic-inspector/commit/?id=34324112e085ebba8977730f11950fd5787705fd
Submitter: Zuul
Branch: master

commit 34324112e085ebba8977730f11950fd5787705fd
Author: Dmitry Tantsur <email address hidden>
Date: Wed Jan 31 12:46:06 2018 +0100

    Declare support for Python 3.5 in setup.cfg

    This is required for the Python 3.5 goal to be finished for real.

    Change-Id: I66a3a50575ce4547bf04e3835a5c92c85977201a
    Related-Bug: #1673768

Reviewed: https://review.openstack.org/539500
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=8db78cb36a6973057e52930d3944f5b66ae597f4
Submitter: Zuul
Branch: master

commit 8db78cb36a6973057e52930d3944f5b66ae597f4
Author: Dmitry Tantsur <email address hidden>
Date: Wed Jan 31 12:42:57 2018 +0100

    Declare support for Python 3.5 in setup.cfg

    This is required for the Python 3.5 goal to be finished for real.

    Change-Id: I66a3a50575ce4547bf04e3835a5c92c85977201a
    Related-Bug: #1673768

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers